## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanDOMString.hpp File Reference

Include dependency graph for XalanDOMString.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- class XalanDOMString
- class XalanDOMString::TranscodingError

## Defines

- #define XALANDOMSTRING_HEADER_GUARD_1357924680

## Typedefs

- typedef XalanVector< XalanDOMChar > XalanDOMCharVectorType
- typedef XalanVector< char > CharVectorType

## Functions

- bool operator== (const XalanDOMString &theLHS, const XalanDOMString &theRHS)
- bool operator== (const XalanDOMString &theLHS, const XalanDOMChar *theRHS)
- bool operator== (const XalanDOMChar *theLHS, const XalanDOMString &theRHS)
- bool operator!= (const XalanDOMString &theLHS, const XalanDOMString &theRHS)
- bool operator!= (const XalanDOMChar *theLHS, const XalanDOMString &theRHS)
- bool operator!= (const XalanDOMString &theLHS, const XalanDOMChar *theRHS)
- XalanDOMString & add (const XalanDOMString &theLHS, const XalanDOMString &theRHS, XalanDOMString &result)
- XalanDOMString & add (const XalanDOMString &theLHS, const XalanDOMChar *theRHS, XalanDOMString &result)
- XalanDOMString & add (const XalanDOMChar *theLHS, const XalanDOMString &theRHS, XalanDOMString &result)
- const XalanDOMString & add (const char *theLHS, const XalanDOMString &theRHS, XalanDOMString &result)
- const XalanDOMString & add (const XalanDOMString &theLHS, const char *theRHS, XalanDOMString &result)
- TranscodeToLocalCodePage (const XalanDOMChar *theSourceString, XalanDOMString::size_type theSourceStringLength, CharVectorType &targetVector, bool terminate=false)
    Convert a XalanDOMChar string to C++ standard library vector, transcoding to the default local code page.
- const XalanDOMString TranscodeFromLocalCodePage (const char *theSourceString, XalanDOMString::size_type theSourceStringLength=XalanDOMString::npos)
    Convert a string to a XalanDOMString, transcoding from the default local code page.
- TranscodeToLocalCodePage (const XalanDOMChar *theSourceString, CharVectorType &targetVector, bool terminate=false)
    Convert a XalanDOMChar string to C++ standard library vector, transcoding to the default local code page.
- const CharVectorType TranscodeToLocalCodePage (const XalanDOMChar *theSourceString)
    Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page.
- bool TranscodeToLocalCodePage (const XalanDOMString &theSourceString, CharVectorType &targetVector, bool terminate=false)
    Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page.
- const CharVectorType TranscodeToLocalCodePage (const XalanDOMString &theSourceString)
    Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page.
- const XalanDOMString & TranscodeFromLocalCodePage (const char *theSourceString, XalanDOMString &result, XalanDOMString::size_type theSourceStringLength=XalanDOMString::npos)
    Convert a string to a XalanDOMString, transcoding from the default local code page.
- TranscodeFromLocalCodePage (const char *theSourceString, XalanDOMString::size_type theSourceStringLength, XalanDOMCharVectorType &theTargetVector, bool terminate=false)
    Convert a string to a C++ standard library vector, transcoding from the default local code page.
- TranscodeFromLocalCodePage (const char *theSourceString, XalanDOMCharVectorType &theTargetVector, bool terminate=false)
    Convert a string to a C++ standard library vector, transcoding from the default local code page.
- TranscodeFromLocalCodePage (const CharVectorType &theSourceString, XalanDOMString &result)
    Convert a vector of characters to a XalanDOMString, transcoding from the default local code.

## Define Documentation

#define XALANDOMSTRING_HEADER_GUARD_1357924680

## Typedef Documentation

typedef XalanVector<char> CharVectorType

typedef XalanVector<XalanDOMChar> XalanDOMCharVectorType

## Function Documentation

const XalanDOMString& add | ( | const XalanDOMString & | theLHS,
|  | const char * | theRHS,
|  | XalanDOMString & | result
| ) |

const XalanDOMString& add | ( | const char * | theLHS,
|  | const XalanDOMString & | theRHS,
|  | XalanDOMString & | result
| ) |

XalanDOMString& add | ( | const XalanDOMChar * | theLHS,
|  | const XalanDOMString & | theRHS,
|  | XalanDOMString & | result
| ) |

XalanDOMString& add | ( | const XalanDOMString & | theLHS,
|  | const XalanDOMChar * | theRHS,
|  | XalanDOMString & | result
| ) |

XalanDOMString& add | ( | const XalanDOMString & | theLHS,
|  | const XalanDOMString & | theRHS,
|  | XalanDOMString & | result
| ) |

bool operator!= | ( | const XalanDOMString & | theLHS,
|  | const XalanDOMChar * | theRHS
| ) |

bool operator!= | ( | const XalanDOMChar * | theLHS,
|  | const XalanDOMString & | theRHS
| ) |

bool operator!= | ( | const XalanDOMString & | theLHS,
|  | const XalanDOMString & | theRHS
| ) |

bool operator== | ( | const XalanDOMChar * | theLHS,
|  | const XalanDOMString & | theRHS
| ) |

bool operator== | ( | const XalanDOMString & | theLHS,
|  | const XalanDOMChar * | theRHS
| ) |

bool operator== | ( | const XalanDOMString & | theLHS,
|  | const XalanDOMString & | theRHS
| ) |

TranscodeFromLocalCodePage | ( | const CharVectorType & | theSourceString,
|  | XalanDOMString & | result
| ) |

Convert a vector of characters to a XalanDOMString, transcoding from the default local code.

Parameters:

  theSourceString | source string

Returns:
  The transcoded string.

TranscodeFromLocalCodePage | ( | const char * | theSourceString,
|  | XalanDOMCharVectorType & | theTargetVector,
|  | bool | terminate = false
| ) |

Convert a string to a C++ standard library vector, transcoding from the default local code page.

The string _must_ be null-terminated.

Parameters:

  sourceString | The source string
  targetVector | The target string
  terminate | If true, the transcoded string will be null-terminated

Returns:
  true if successful, false if not.

TranscodeFromLocalCodePage | ( | const char * | theSourceString,
|  | XalanDOMString::size_type | theSourceStringLength,
|  | XalanDOMCharVectorType & | theTargetVector,
|  | bool | terminate = false
| ) |

Convert a string to a C++ standard library vector, transcoding from the default local code page.

Parameters:

  theSourceString | The source string
  theSourceStringLength | The source string length.
  targetVector | The target string
  terminate | If true, the transcoded string will be null-terminated

Returns:
  true if successful, false if not.

const XalanDOMString& TranscodeFromLocalCodePage | ( | const char * | theSourceString,
|  | XalanDOMString & | result,
|  | XalanDOMString::size_type | theSourceStringLength = XalanDOMString::npos
| ) |

Convert a string to a XalanDOMString, transcoding from the default local code page.

Parameters:

  theSourceString | The source string
  theSourceStringLength | The source string length.

Returns:
  The new string.

const XalanDOMString TranscodeFromLocalCodePage | ( | const char * | theSourceString,
|  | XalanDOMString::size_type | theSourceStringLength = XalanDOMString::npos
| ) |

Convert a string to a XalanDOMString, transcoding from the default local code page.

Parameters:

  theSourceString | The source string
  theSourceStringLength | The source string length.

Returns:
  The new string.

const CharVectorType TranscodeToLocalCodePage | ( | const XalanDOMString & | theSourceString | ) |

Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page.

Parameters:

  thetheSourceString | source string

Returns:
  The transcoded string.

bool TranscodeToLocalCodePage | ( | const XalanDOMString & | theSourceString,
|  | CharVectorType & | targetVector,
|  | bool | terminate = false
| ) |

Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page.

Parameters:

  theSourceString | The source string
  targetVector | The target string

Returns:
  true if successful, false if not.

const CharVectorType TranscodeToLocalCodePage | ( | const XalanDOMChar * | theSourceString | ) |

Convert XalanDOMString to C++ standard library vector, transcoding to the default local code page.

Null-terminate the sttring...

Parameters:

  theSourceString | source string

Returns:
  The transcoded string.

TranscodeToLocalCodePage | ( | const XalanDOMChar * | theSourceString,
|  | CharVectorType & | targetVector,
|  | bool | terminate = false
| ) |

Convert a XalanDOMChar string to C++ standard library vector, transcoding to the default local code page.

The string _must_ be null-terminated.

Parameters:

  theSourceString | The source string
  targetVector | The target string
  terminate | If true, the transcoded string will be null-terminated

Returns:
  true if successful, false if not.

TranscodeToLocalCodePage | ( | const XalanDOMChar * | theSourceString,
|  | XalanDOMString::size_type | theSourceStringLength,
|  | CharVectorType & | targetVector,
|  | bool | terminate = false
| ) |

Convert a XalanDOMChar string to C++ standard library vector, transcoding to the default local code page.

Parameters:

  sourceString | The source string
  sourceStringLength | The source string length.
  targetVector | The target string
  terminate | If true, the transcoded string will be null-terminated

Returns:
  true if successful, false if not.

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.